"""
Schreibe mithilfe der geeigneten Ereignisbehandlerfunktionen
(Event-Handler) ein kleines Zeichenprogramm.
Bei Mausklick werden mittels der dot-Methode Kreise in der
aktuellen Farbe gezeichnet.
Durch Drücken bestimmter Buchstaben soll man die Farben
ändern können. Durch Pfeil-oben und Pfeil-unten kann man den
Pinseldurchmesser ändern.
Speichern und Löschen muss nicht möglich sein.
"""

import turtle

size = 50
color = "red"

print("Einfaches Zeichenprogramm")
print("Bedienung:")
print("Klicken: Farbklecks malen")
print("Tasten:")
print("Pfeil nach oben : Pinsel vergrößern")
print("Pfeil nach unten: Pinsel verkleinern")
print("r: rot")
print("y: gelb")
print("g: grün")
print("b: blau")
print("q: Programm beenden")

turtle.setup(400,500)                # Fenstergröße
wn = turtle.Screen()                 # wn repräsentiert das Fenster 
wn.title("Zeichenprogramm")   # Fenster Titel
wn.bgcolor("lightgray")              # Hintergrundfarbe
schildkroete = turtle.Turtle()       # Schildkröte anlegen
schildkroete.hideturtle()

# Event-Handler:
def size_up():
   global size
   size += 10

def size_down():
   global size
   size -= 10
   if size < 1:
       size = 3

def red():
   global color
   color = "red"

def yellow():
   global color
   color = "yellow"

def green():
   global color
   color = "green"

def blue():
   global color
   color = "blue"

def q():
    wn.bye()                        # Fenster schließen
    
def click(x, y):
   schildkroete.penup()
   schildkroete.goto(x, y)
   schildkroete.dot(size, color)
   schildkroete.pendown()

   
# Verknüpfung herstellen zwischen Tastenereignissen und Handlern
wn.onkey(size_up, "Up")
wn.onkey(size_down, "Down")
wn.onkey(red, "r")
wn.onkey(yellow, "y")
wn.onkey(green, "g")
wn.onkey(blue, "b")

wn.onkey(q, "q")       # Beenden
wn.onclick(click)      # Mausklick

# Mit "listen" fängt die Anwendung an nach Ereignissen zu "horchen".
# Ein richtiger Tastendruck löst den zugehörigen Eventhandler aus.
wn.listen()
#------------------------------------------------
wn.mainloop()
